org.apache.naming.factory

## Class DataSourceLinkFactory.DataSourceHandler

- java.lang.Object
- - org.apache.naming.factory.DataSourceLinkFactory.DataSourceHandler

- All Implemented Interfaces:
    InvocationHandler
  Enclosing class:
    DataSourceLinkFactory

      public static class DataSourceLinkFactory.DataSourceHandler
      extends Object
      implements InvocationHandler

  Simple wrapper class that will allow a user to configure a ResourceLink for a data source so that when `DataSource.getConnection()` is called, it will invoke `DataSource.getConnection(String, String)` with the preconfigured username and password.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceHandler(DataSource ds, String username, String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(Object proxy, Method method, Object[] args)`
    `Object` | `unwrap(Class<?> iface)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceHandler

          public DataSourceHandler(DataSource ds,
                                   String username,
                                   String password)
                            throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### invoke

          public Object invoke(Object proxy,
                               Method method,
                               Object[] args)
                        throws Throwable

      Specified by:
        `invoke` in interface `InvocationHandler`
      Throws:
        `Throwable`

    - #### unwrap

          public Object unwrap(Class<?> iface)
                        throws SQLException

      Throws:
        `SQLException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.